import { getGlobalClassNames, getFocusStyle } from '../../Styling';
import { IsFocusVisibleClassName } from '@uifabric/utilities';
var GlobalClassNames = {
    root: 'ms-DetailsRow-check',
    isDisabled: 'ms-DetailsRow-check--isDisabled',
    isHeader: 'ms-DetailsRow-check--isHeader'
};
export var getStyles = function (props) {
    var theme = props.theme, className = props.className, isHeader = props.isHeader, selected = props.selected, anySelected = props.anySelected, canSelect = props.canSelect, compact = props.compact;
    var classNames = getGlobalClassNames(GlobalClassNames, theme);
    var isVisible = selected || anySelected;
    return {
        root: [
            classNames.root,
            !canSelect && [classNames.isDisabled, { visibility: 'hidden' }],
            isHeader && classNames.isHeader,
            isVisible && { opacity: 1 },
            className
        ],
        check: [
            getFocusStyle(theme),
            {
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'center',
                cursor: 'default',
                boxSizing: 'border-box',
                verticalAlign: 'top',
                background: 'none',
                backgroundColor: 'transparent',
                border: 'none',
                opacity: 0,
                height: compact ? 32 : 40,
                width: 40,
                padding: 0,
                margin: 0,
                selectors: (_a = {
                        '&:hover': {
                            opacity: 1
                        },
                        '&.isHeader': {
                            height: 32
                        }
                    },
                    _a["." + IsFocusVisibleClassName + " &"] = {
                        opacity: 1
                    },
                    _a)
            },
            (selected || anySelected || isVisible) && {
                opacity: 1
            }
        ],
        isDisabled: []
    };
    var _a;
};
//# sourceMappingURL=DetailsRowCheck.styles.js.map